import request from '@/utils/request'

// 查询固定资产列表
export function listAsset(query) {
  return request({
    url: '/sems/fixedAsset/list',
    method: 'get',
    params: query
  })
}

// 查询固定资产详细
export function getAsset(id) {
  return request({
    url: '/sems/fixedAsset/' + id,
    method: 'get'
  })
}

// 新增固定资产
export function addAsset(data) {
  return request({
    url: '/sems/fixedAsset',
    method: 'post',
    data: data
  })
}

// 修改固定资产
export function updateAsset(data) {
  return request({
    url: '/sems/fixedAsset',
    method: 'put',
    data: data
  })
}

// 删除固定资产
export function delAsset(id) {
  return request({
    url: '/sems/fixedAsset/' + id,
    method: 'delete'
  })
}

// 导出固定资产
export function exportAsset(query) {
  return request({
    url: '/sems/fixedAsset/export',
    method: 'get',
    params: query
  })
}
